Debian Bug report logs - #612497
www.debian.org: packages.debian.org search results are inconsistant. outdated mirror?

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Keith <keith@Lehigh.EDU>

Date: Tue, 8 Feb 2011 19:48:01 UTC

Severity: normal

Merged with 612561

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612497; Package www.debian.org. (Tue, 08 Feb 2011 19:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith <keith@Lehigh.EDU>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 08 Feb 2011 19:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Keith <keith@Lehigh.EDU>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: www.debian.org: packages.debian.org search results are inconsistant. outdated mirror?
Date: Tue, 08 Feb 2011 14:43:52 -0500
Package: www.debian.org
Severity: normal


Searching for packages returns inconsistant results. For example, sometimes
it initially shows results *only* from sid, but will eventually return correct
results after a few minutes and/or a few refreshes.

If I wait a few minutes and try again, sometimes I get results from sid only
(or sid and wheezy, for some packages), sometimes from the usual
lenny/squeeze/sid (but not wheezy).

I have tried this on several different boxes, using fresh instances of Firefox
(Iceweasel) and Chrome, so I'm fairly certain it's not a cache issue.

For example, see:
http://imagebin.org/136791
http://imagebin.org/136792

http://imagebin.org/136795
http://imagebin.org/136796

A DNS lookup of packages.debian.org indicates that it is round-robin'd across
multiple servers, so perhaps one (or more?) of them is out of date?

~Keith

-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612497; Package www.debian.org. (Fri, 11 Feb 2011 20:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to keith@Lehigh.EDU:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 11 Feb 2011 20:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 612497@bugs.debian.org (full text, mbox):

From: Keith Erekson <kbe2@Lehigh.EDU>
To: 612497@bugs.debian.org
Subject: might have resolved itself?
Date: Fri, 11 Feb 2011 15:45:01 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

All of my attempts to reproduce this behavior have failed today.

It seems that this problem may have resolved itself, or someone
already fixed it.

~Keith
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk1Vn8gACgkQNYHf3mzWKbGyMACghsjOzoJ7luJ/V6l0utDXxozF
/acAnR/zHlNnnj95vUQ7Cm6UujyUEAw4
=eSsY
-----END PGP SIGNATURE-----





Forcibly Merged 612497 612561. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 21:15:06 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Fri, 11 Feb 2011 21:15:13 GMT) Full text and rfc822 format available.

Notification sent to Keith <keith@Lehigh.EDU>:
Bug acknowledged by developer. (Fri, 11 Feb 2011 21:15:13 GMT) Full text and rfc822 format available.

Message #17 received at 612497-done@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: keith@Lehigh.EDU, 612497-done@bugs.debian.org
Subject: Re: Bug#612497: might have resolved itself?
Date: Fri, 11 Feb 2011 22:12:49 +0100
Hi,

On Fri, Feb 11, 2011 at 03:45:01PM -0500, Keith Erekson wrote:
> All of my attempts to reproduce this behavior have failed today.
> 
> It seems that this problem may have resolved itself, or someone
> already fixed it.

We have fixed this, this was the same bug as 612561. 

http://bugs.debian.org/612561 

-- 
Simon Paillard




Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Fri, 11 Feb 2011 21:15:14 GMT) Full text and rfc822 format available.

Notification sent to Vincent McIntyre <vincent.mcintyre@csiro.au>:
Bug acknowledged by developer. (Fri, 11 Feb 2011 21:15:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Mar 2011 07:36:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:22:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.